apiVersion: "ryax.tech/v2.0"
kind: Source
spec:
  id: django-artai
  human_name: Django frontend for art AI.
  version: "1.0.4"
  logo: "logo.jpeg"
  type: python3
  description: "Stable diffusion like ryax solution, based on replicate library, you give a phrase we show an image."
  categories:
  - Source
  - AI
  - Replicate
  addons:
    http_service:
      port: 8080
      endpoint_prefix: /artai
  inputs:
  - help: Protocol choice "https" or "http".
    human_name: ryax_endpoint_protocol
    name: ryax_endpoint_protocol
    type: enum
    enum_values:
      - http
      - https
  - help: The endpoint of the ryax workflow, for instance, "app.ryax.io"
    human_name: ryax_endpoint_instance_name
    name: ryax_endpoint_instance_name
    type: string
  - help: URL for replicate
    human_name: replicate_url
    name: replicate_url
    type: string
  - help: Token for replicate
    human_name: replicate_token
    name: replicate_token
    type: password
  - help: Ryax artai workflow url, the url for the workflow that do the thing
    human_name: ryax_artai_url
    name: ryax_artai_url
    type: string
  outputs: []
